
// Persistence of Vision Ray Tracer Scene Description File
// File: .inc
// Vers: 3
// Desc: Furniture wheel w/wo breaks
// Date: 26.08.1997
// Auth: N.B.



#declare R_TEX=
texture{
   finish { ambient .2 diffuse 0.9 phong .5 phong_size 30}
   pigment{color rgb <.2,.2,.2>}
}
// #declare pBRK01= 1 //this controls the breaks

#declare pRAD01= 35
#declare pRAD02= pRAD01-7
#declare pRAD03= 15
#declare pRAD04= 20
#declare pRAD05= 4

#declare pDST01= 10
#declare pDST02= 3
#declare pDST03= pDST01+5
#declare pDST04= 65
#declare pDST05= 2
#declare pDST06= 15
#declare pDST07= 7
#declare pDST17= 45

#declare PYo01=
union{
  difference{
     cylinder{<pDST01*-1,0,0><pDST01,0,0>pRAD01}
     cylinder{<pDST01*-1.1,0,0><pDST01*1.1,0,0>pRAD02}
  }
  union{
      difference{
        cylinder{<pDST01*-.99,0,0><pDST01*.99,0,0>pRAD02}
        cone{<pDST01*-1,0,0>(pRAD02-pDST02)<pDST02*-1,0,0>(pRAD02-pDST02*2)}
      }
      cylinder{<pDST03*-1,0,0><pDST03,0,0>pRAD03}
   texture{T_Chrome_4D}
   }
   #if (pBRK01=1)
   union{
      box{<(pDST03+pDST05)*-1,(pDST04-pDST06-pDST07),0>
          <(pDST03+pDST05),(pDST04-pDST06),(pDST17-pDST07)*-1>}
      cylinder{<(pDST03+pDST05-pDST07),(pDST04-pDST06-pDST07),(pDST17-pDST07)*-1>
          <(pDST03+pDST05-pDST07),(pDST04-pDST06),(pDST17-pDST07)*-1>pDST07}
      cylinder{<(pDST03+pDST05-pDST07)*-1,(pDST04-pDST06-pDST07),(pDST17-pDST07)*-1>
          <(pDST03+pDST05-pDST07)*-1,(pDST04-pDST06),(pDST17-pDST07)*-1>pDST07}
      box{<(pDST03+pDST05-pDST07)*-1,(pDST04-pDST06-pDST07),(pDST17-pDST07)*-1>
          <(pDST03+pDST05-pDST07),(pDST04-pDST06),pDST17*-1>}
   }
   #else
   #end
   difference{
      union{
         sphere{<(pDST03+pDST05)*-1,0,0>pRAD05}
         sphere{<(pDST03+pDST05),0,0>pRAD05}
         cylinder{<0,0,pRAD01><0,pDST04,pRAD01>pRAD04}
         cylinder{<(pDST03+pDST05)*-1,0,0><(pDST03+pDST05),0,0>pRAD03}
         box{<(pDST03+pDST05)*-1,pDST03,0><(pDST03+pDST05),(pDST04-pDST06),(pRAD04+pDST06)*-1>
            translate z*pRAD01}
         box{<(pDST03+pDST05)*-1,0,pRAD03*-1><(pDST03+pDST05),pRAD01,pRAD03> rotate x*45}
      }
   box{<pDST04*-1.1,pRAD01*-1,pRAD03><pDST04*1.1,pRAD01*2,pRAD03+pRAD01> rotate x*45}
   cylinder{<0,0,pRAD01><0,pDST04*1.1,pRAD01>(pRAD04-pDST05)}
   box{<pDST03*-1,pDST03*-1.1,pRAD01*-1><pDST03,(pDST04-pDST06-pDST05),pRAD01>}
   texture{T_Chrome_4D}
   }
   texture{R_TEX}
}
