
// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc: Shoes
// Date: 26.08.1997
// Auth: N.B.

/*background {color rgb <0,0,0>}

light_source{<0,1000,-1000> color rgb <1,1,1>}

camera{
   location <-50,70,-80>*2
   //location <-400,0,0>
   //location <0,400,0>
   angle 10
   look_at <0,0,0>
} */

#declare TEXXX=
texture{
   finish{
      //brilliance .6
      diffuse .9
      ambient .3
      phong 0.3
      phong_size 50
   }
pigment{color rgb <1,1,1>}
}


// #declare SIDE=1
#declare RAD01 = .7
#declare STR01 = 3
#declare DNS01 = STR01*pow((1-pow(RAD01,2)),2)

#declare ShPart01=
intersection{
   box{<-10,0,-30><10,2,30>
      texture{TEXXX
         normal{wrinkles .5 scale .5}
         pigment{color rgb <.8,.42,.2>}}}
   blob{ threshold DNS01
      sphere{0,1,STR01 scale <7/RAD01,5/RAD01,4.5/RAD01>*1.2 rotate y*78*SIDE translate<0*SIDE,1,5>}
      cylinder{<0,0,0><0,0,-3>1,STR01 scale <4.2/RAD01,5/RAD01,5> rotate y*5*SIDE translate<1*SIDE,1,1>}
      sphere{0,1,-1 scale <4.2/RAD01,5/RAD01,5> rotate y*5*SIDE translate<1,1,1>}
   }
texture{TEXXX}
}

#declare ShPart02=
difference{
      sphere{0,1 scale <8,5.6,4.5>*1.2 rotate z*20*SIDE rotate y*78*SIDE translate<0*SIDE,1,4.5>}
      sphere{0,1 scale <8,5.6,4.5>*1.2*.95 rotate z*20*SIDE rotate y*78*SIDE translate<0*SIDE,1,4.5>}
box{<-10,-10,-30><10,2,30>}
box{<-10,-10,30><10,10,0> rotate x*-5 rotate y*3*SIDE translate<0*SIDE,0,10.5>}
cylinder{<0,-5,0><0,20,0>1 scale <10,1,5> rotate x*20 translate<0*SIDE,0,-7>}
cylinder{<10,0,0><-10,0,0>1 scale <.7,5,.7> rotate x*0 translate<0*SIDE,8.3,7.6>}
cylinder{<10,0,0><-10,0,0>1 scale <.7,5,.7> rotate x*10 translate<0*SIDE,8.3,4.5>}
texture{TEXXX
   normal{wrinkles .5 scale .5}
   pigment{color rgb <.8,.42,.2>}}
}

#declare XXX01=
union{
   object{ShPart01}
   object{ShPart02}
rotate y*270
}

